import express, { query } from 'express';
import { createDatabaseConnection } from '../db/database.js'; // db 연결 파일
import { HandlePush } from './push.js';
import { rtDBConfig } from '../private/config.js';

// const cmcd = "/JJ";
// const db = "/JJ/db";

const app = express();
app.use(express.json());


// DB 연결 테스트
app.get(`${db}/test`, async (req, res) => {
  try {
    const connection = await createDatabaseConnection(dbConfig);
    const [rows] = await connection.query('SELECT * FROM version');
    await connection.end();
    res.json({ result: rows[0].solution });
  } catch (err) {
    res.status(500).json({ error: err.message });
  }
});

export default app;